html, body {
  width: 100%;
  height: fit-content;
  padding: 24px;
  margin: 0;
  background-color: #383838;
  color: whitesmoke;
  font-weight: bold;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 32px;
  align-items: center;;
}

#create-post-form {
  background-color: rgb(64, 100, 124);
  border-radius: 32px;
  width: 40%;
  height: fit-content;
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: center;
  align-items: center;
}

#create-post-form label {
  display: flex;
  flex-direction: row;
  gap: 12px;
  font-size: medium;
  margin: 0;
}

#create-post-form label h2 {
  margin: 0;
}

#posts-container {
  height: fit-content;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: center;
  align-items: center;
}

.post {
  height: fit-content;
  width: 60%;
  display: flex;
  flex-direction: column;
  background-color: rgb(64, 100, 124);
  border-radius: 32px;
  padding: 20px;
  position: relative;
  
}

.button-container {
  width: 40%;
  height: fit-content;
  align-self: flex-end;
  display: flex;
  flex-direction: column;
  gap: 12px;
  
}

.delete-button, .update-button, .confirm-button {
  border-radius: 16px;
  border: 0;
  width: 100%;
  color: whitesmoke;
  font-size: larger;
  font-weight: bold;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.delete-button {
  background-color: #9e3838;
}

.update-button {
  background-color: #2437a0;
}

.confirm-button {
  background-color: #2f752d;
}

.new-title-field, .new-content-field {
  background-color: #00000070;
  font-weight: bold;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  color: whitesmoke;
  border: 0;
}

.new-title-field {
  font-size: larger;
}

.new-content-field {
  font-size: medium;
}

.new-field-label {
  display: flex;
  flex-direction: row;
  gap: 12px;
}

.new-field-label h2 {
  margin: 0;
}

.url-container {
  background-color: rgb(64, 100, 124);
  border-radius: 32px;
  display: flex;
  flex-direction: row;
  gap: 20px;
  justify-content: center;
  align-items: center;
  padding: 20px;
}